# Generated from anncrsnp-0.1.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name anncrsnp

Name: rubygem-%{gem_name}
Version: 0.1.7
Release: 1%{?dist}
Summary: Tool to characterize Single Nucleotide Polymorphisms (SNP) in genomic non-coding regions
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
AnNCR-SNP integrates data from various sources, allowing the user to
investigate the potential effects of variants in non-coding regions of the
human genome. AnNCR-SNP consists of a database containing data on all
non-coding elements and two main programs: manager and finder. The manager
program is responsible for creating the local data-base, and the finder
program receives the user queries in order to search in the local database and
retrieve information. The user can find information about various regu-latory
elements, such as TFBs, open chromatin, histone modification and methyla-tion
sites, information about SNPs from dbSNP and gene information from RefSeq.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/grdbfinder.rb
%{_bindir}/grdbmanager.rb
%{_bindir}/masterfeatures.rb
%{_bindir}/retriever.rb
%{_bindir}/setup
%{_bindir}/statistics.rb
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/database
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/anncrsnp.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.7-1
- Initial package
